Package org.dojotoolkit.shrinksafe

# Class ReplacedTokens

java.lang.Object
org.dojotoolkit.shrinksafe.ReplacedTokens

public class ReplacedTokens extends Object

## Constructor Summary

Constructors
Constructor
Description
`ReplacedTokens(Map replacements, int[] parents, Map lookup, DebugData debugData)`

## Method Summary

Modifier and Type
Method
Description
`String`
`find(String token)`
`String`
`printDebugData()`
`String`
`toJson()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ReplacedTokens

public ReplacedTokens(Map replacements, int[] parents, Map lookup, DebugData debugData)

## Method Details

### find

public String find(String token)

### printDebugData

public String printDebugData()

### toJson

public String toJson()